## com.sun.jersey.api
Class ConflictException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ws.rs.WebApplicationException
                      com.sun.jersey.api.ConflictException

All Implemented Interfaces:
  java.io.Serializable

    public class ConflictException

extends WebApplicationException

A HTTP 409 (Conflict) exception.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`ConflictException()` Create a HTTP 409 (Conflict) exception.
`ConflictException(java.lang.String message)` Create a HTTP 409 (Conflict) exception.

Method Summary

Methods inherited from class javax.ws.rs.WebApplicationException
`getResponse`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConflictException

    public ConflictException()

  Create a HTTP 409 (Conflict) exception.

### ConflictException

    public ConflictException(java.lang.String message)

  Create a HTTP 409 (Conflict) exception.

  Parameters:
    `message` - the String that is the entity of the 409 response.

Copyright © 2017 Oracle Corporation. All Rights Reserved.